---
layout: docs
title: A-Z Index
permalink: /documentation/test-api/a-z.html
---
# A-Z Index

This topic lists test API members in alphabetical order.

* [ClientFunction](obtaining-data-from-the-client.html#creating-client-functions)
    * [with](obtaining-data-from-the-client.html#overwriting-options)
* [DOM Node State](selecting-page-elements/dom-node-state.html)
   * *[members](selecting-page-elements/dom-node-state.html#members-common-across-all-nodes)*
* [fixture](test-code-structure.html#fixtures)
    * [afterEach](test-code-structure.html#initialization-and-clean-up)
    * [beforeEach](test-code-structure.html#initialization-and-clean-up)
    * [page](test-code-structure.html#specifying-the-start-webpage)
* [Selector](selecting-page-elements/selectors.html#creating-selectors)
    * [nth](selecting-page-elements/selectors.html#nth)
    * [withText](selecting-page-elements/selectors.html#withtext)
    * [filter](selecting-page-elements/selectors.html#filter)
    * [find](selecting-page-elements/selectors.html#find)
    * [parent](selecting-page-elements/selectors.html#parent)
    * [child](selecting-page-elements/selectors.html#child)
    * [sibling](selecting-page-elements/selectors.html#sibling)
    * [exists](selecting-page-elements/selectors.html#get-selector-matching-set-length)
    * [count](selecting-page-elements/selectors.html#get-selector-matching-set-length)
    * [with](selecting-page-elements/selector-options.html#overwriting-options)
* [test](test-code-structure.html#tests)
* [Test Controller](test-code-structure.html#test-controller)
    * [clearUpload](actions/upload.html#clear-file-upload-input)
    * [click](actions/click.html)
    * [doubleClick](actions/double-click.html)
    * [drag](actions/drag-element.html#drag-an-element-by-an-offset)
    * [dragtoElement](actions/drag-element.html#drag-an-element-onto-another-one)
    * [eval](obtaining-data-from-the-client.html#one-time-client-code-execution)
    * [getNativeDialogHistory](handling-native-dialogs.html#dialog-history)
    * [hover](actions/hover.html)
    * [navigate](actions/navigate.html)
    * [pressKey](actions/press-key.html)
    * [resizeWindow](actions/resize-window.html#setting-the-window-size)
    * [resizeWindowToFitDevice](actions/resize-window.html#fitting-the-window-into-a-particular-device)
    * [rightClick](actions/right-click.html)
    * [select](selecting-page-elements/selectors.html#one-time-selection)
    * [selectEditableContent](actions/select-text.html#perform-selection-within-editable-content)
    * [selectText](actions/select-text.html#select-text-in-input-elements)
    * [selectTextAreaContent](actions/select-text.html#select-textarea-content)
    * [setFilesToUpload](actions/upload.html#populate-file-upload-input)
    * [setNativeDialogHandler](handling-native-dialogs.html#dialog-handler)
    * [switchToIframe](working-with-iframes.html#switching-to-an-iframe)
    * [switchToMainWindow](working-with-iframes.html#switching-back-to-the-main-window)
    * [takeScreenshot](actions/take-screenshot.html)
    * [typeText](actions/type-text.html)
    * [wait](pausing-the-test.html)
    * [expect](assertions/index.html)
        * [eql](assertions/assertion-api.html#deep-equal)
        * [notEql](assertions/assertion-api.html#not-deep-equal)
        * [ok](assertions/assertion-api.html#ok)
        * [notOk](assertions/assertion-api.html#not-ok)
        * [contains](assertions/assertion-api.html#contains)
        * [notContains](assertions/assertion-api.html#not-contains)
        * [typeOf](assertions/assertion-api.html#type-of)
        * [notTypeOf](assertions/assertion-api.html#not-type-of)
        * [gt](assertions/assertion-api.html#great-than)
        * [gte](assertions/assertion-api.html#great-than-or-equal-to)
        * [lt](assertions/assertion-api.html#less-than)
        * [lte](assertions/assertion-api.html#less-than-or-equal-to)
        * [within](assertions/assertion-api.html#within)
        * [notWithin](assertions/assertion-api.html#not-within)
